---
stages:
    - build

build_image:
    image: docker:20.10.3
    stage: build
    services:
        - docker:20.10.3-dind
    script:
        - docker login -u $DOCKER_RW_USER -p $DOCKER_RW_PASSWORD $CI_REGISTRY
        - docker build -t $CI_REGISTRY/$DOCKER_NAMESPACE/$DOCKER_PROJECT_NAME/rpmbuild:latest .
        - docker push $CI_REGISTRY/$DOCKER_NAMESPACE/$DOCKER_PROJECT_NAME/rpmbuild:latest
    only:
        - master
